import React from 'react';
import ReactJSONView from 'react-json-view';
import { Configuration, PanelProps } from '../panel/panel.types';

interface AdvancedPanelProps extends PanelProps {
  state: Configuration;
  update: (configType: string, key: string, value: any) => void; // Adjusted type for update function
}

export default function AdvancedPanel({ state, update }: AdvancedPanelProps) {
  return (
    state && (
      <div className="m-2">
        <ReactJSONView
          src={state}
          name={false}
          collapsed={1}
          quotesOnKeys={false}
          displayDataTypes={false}
          onEdit={(v) => update('', '', v.updated_src)}
        />
      </div>
    )
  );
}
