import React, { useState } from 'react';
import Input from '@graphpolaris/shared/lib/components/inputs';
import { SelectorProps } from '../encodings.types';

export default function Opacity({ marking, onChange, statistics, dimension }: SelectorProps) {
  const [custom, setCustom] = useState<boolean>(false);

  return (
    <div>
      <Input type="dropdown" label="Select axis" options={[]} value={marking} onChange={onChange} />
      <Input type="boolean" label="Custom input" value={custom} onChange={(value) => setCustom(value)} />
      {custom && <Input type="slider" label="Select value" value={marking} onChange={onChange} min={0} max={100} step={10} />}
    </div>
  );
}
