import React from 'react';
import { Tooltip, TooltipContent, TooltipProvider, TooltipTrigger } from '@graphpolaris/shared/lib/components/tooltip';

type PanelItemProps = {
  active: boolean;
  onClick: () => void;
  icon: JSX.Element;
  tooltip: string;
};

export default function PanelItem({ active, onClick, icon, tooltip }: PanelItemProps) {
  return (
    <li
      className={`me-2 inline-block bg-secondary-100 cursor-pointer ${active && 'border-b-2 border-primary-200 text-primary-200'}`}
      onClick={onClick}
    >
      <TooltipProvider delayDuration={0}>
        <Tooltip>
          <TooltipTrigger>{icon}</TooltipTrigger>
          <TooltipContent side={'top'}>
            <p>{tooltip}</p>
          </TooltipContent>
        </Tooltip>
      </TooltipProvider>
    </li>
  );
}
