import React from 'react';
import { FormControl } from '@graphpolaris/shared/lib/components/forms';
import Input from '@graphpolaris/shared/lib/components/inputs';
import { PanelProps } from '../panel/panel.types';

export default function SettingsPanel({ state, update }: PanelProps) {
  return (
    state && (
      <div>
        <div>
          {Object.keys(state?.general).map((key) => (
            <FormControl key={key}>
              <Input
                {...state.general[key]}
                value={state.general[key]?.value as any}
                onChange={(value: any) => update('general', key, { ...state[key].general, value: value })}
              />
            </FormControl>
          ))}
        </div>

        <div>
          {Object.keys(state?.settings).map((key) => {
            const currentSetting = state.settings[key];
            const shouldShowSetting = currentSetting.condition ? currentSetting.condition?.(state.settings) : true;
            return (
              shouldShowSetting && (
                <div key={key} className="bg-secondary-50 p-2 m-2">
                  <FormControl>
                    <Input
                      {...state.settings[key]}
                      value={state.settings[key]?.value as any}
                      onChange={(value: any) => update('settings', key, { ...state.settings[key], value: value })}
                    />
                  </FormControl>
                </div>
              )
            );
          })}
        </div>
      </div>
    )
  );
}
